ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Opt.Stats

# Documentation

data SimplCount Source #

doSimplTick Source #

Arguments

:: Int | History size of the elaborate counter
-> Tick |
-> SimplCount |
-> SimplCount |

doFreeSimplTick :: Tick -> SimplCount -> SimplCount Source #

simplCountN :: SimplCount -> Int Source #

pprSimplCount :: SimplCount -> SDoc Source #

plusSimplCount :: SimplCount -> SimplCount -> SimplCount Source #

zeroSimplCount Source #

Arguments

:: Bool

- ddump-simpl-stats

-> SimplCount |

isZeroSimplCount :: SimplCount -> Bool Source #

hasDetailedCounts :: SimplCount -> Bool Source #

data Tick Source #

Constructors

PreInlineUnconditionally Id |
PostInlineUnconditionally Id |
UnfoldingDone Id |
RuleFired FastString |
LetFloatFromLet |
EtaExpansion Id |
EtaReduction Id |
BetaReduction Id |
CaseOfCase Id |
KnownBranch Id |
CaseMerge Id |
AltMerge Id |
CaseElim Id |
CaseIdentity Id |
FillInCaseDefault Id |
SimplifierDone |

#### Instances

Instances details

Outputable Tick Source # |
Instance details Defined in GHC.Core.Opt.Stats Methods ppr :: Tick -> SDoc Source #
Eq Tick Source # |
Instance details Defined in GHC.Core.Opt.Stats Methods (==) :: Tick -> Tick -> Bool Source # (/=) :: Tick -> Tick -> Bool Source #
Ord Tick Source # |
Instance details Defined in GHC.Core.Opt.Stats Methods compare :: Tick -> Tick -> Ordering Source # (<) :: Tick -> Tick -> Bool Source # (<=) :: Tick -> Tick -> Bool Source # (>) :: Tick -> Tick -> Bool Source # (>=) :: Tick -> Tick -> Bool Source # max :: Tick -> Tick -> Tick Source # min :: Tick -> Tick -> Tick Source #